{ config, lib, pkgs, modulesPath, ... }:

{
  imports = [
    (modulesPath + "/installer/scan/not-detected.nix")
  ];

  boot = {
    initrd.availableKernelModules = [ "xhci_pci" "ahci" "usbhid" "usb_storage" "sd_mod" ];
    kernelModules = [ "applesmc" "kvm-intel" "wl" ];
    kernelPatches = [
      {
        name = "spoof-mac-os-x";
        patch = ./0001-Add-apple_set_os-EFI-boot-service.patch;
      }
    ];
    extraModulePackages = [ config.boot.kernelPackages.broadcom_sta ];
  };

  networking.useDHCP = lib.mkDefault true;

  nixpkgs.hostPlatform = lib.mkDefault "x86_64-linux";

  hardware = {
    cpu.intel.updateMicrocode = lib.mkDefault config.hardware.enableRedistributableFirmware;
    opengl = {
      enable = true;
      extraPackages = with pkgs; [
        intel-vaapi-driver
        intel-media-driver
        libvdpau-va-gl
      ];
      driSupport = true;
    };
  };

  environment.variables = {
    VDPAU_DRIVER = "va_gl";
  };
}

